# @(#)17    1.26  src/rm/snmp/tecad_snmp.cds, rm.snmp, rm381, 020404a  4/3/02  12:51:39
#
# COMPONENT_NAME:  rm.snmp tecad_snmp.cds
#
# FUNCTION:
#   Default set of class definition statements for the TEC SNMP Adapter
#   for use with Risk Manager.
#
#
# Tivoli SecureWay Risk Manager
# (C) Copyright Tivoli Systems, Inc., an IBM Company, 2000.
# All Rights Reserved
# Licensed Materials - Property of IBM/Tivoli Systems
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#

#############################################################################
#  DEFAULT SLOT VALUES
#############################################################################

MAP_DEFAULT
   rm_SensorIPAddr = $SOURCE_ADDR;
   rm_Version = "3.8_1.26";
END

#############################################################################
#  Real Secure-SPECIFIC SNMP TRAPS
#############################################################################

CLASS RS_HTTP_DotDot
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_DotDot");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_HTTP_RobotsTxt
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_RobotsTxt");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_NCSA_Buffer_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_NCSA_Buffer_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_NT8.3_Filename
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_NT8.3_Filename");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Netscape_SpaceView
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_Netscape_SpaceView");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Netscape_PageServices
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_Netscape_PageServices");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_HTTP_IE3_URL
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_IE3_URL");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_HTTP_IIS_DATA
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_IIS$DATA");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Phf
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_PHF");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Unix_Passwords
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_Unix_Passwords");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_IE_BAT
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_IE_BAT");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_NphTestCgi
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX,"HTTP_NphTestCgi");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Shells
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_Shells");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_TestCgi
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_TestCgi");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_WebSite_Uploader
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_WebSite_Uploader");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Sgi_Handler
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_SGI_Handler");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_WebSite_Sample
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_WebSite_Sample");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_IISExAir_DoS
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_IISExAir_DoS");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_IISHTR_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_IISHTR_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Campas
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_Campas");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_FaxSurvey
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_FaxSurvey");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Cold_Fusion
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_Cold_Fusion");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_IIS3_Asp_Dot
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_IIS3_Asp_Dot");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_IIS3_Asp_2e
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_IIS3_Asp_2e");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_WebFinger
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_WebFinger");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Cachemgr
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_Cachemgr");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_MachineInfo
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_MachineInfo");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Count
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_Count");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_SiteCsc_Access
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_SiteCsc_Access");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Webgais
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_Webgais");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_FormMail
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_FormMail");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Guestbook
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_Guestbook");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Websendmail
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_Websendmail");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Classifieds_Post
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_Classifieds_Post");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Glimpse
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_Glimpse");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_HTMLScript
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_HTMLScript");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Novell_Convert
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_Novell_Convert");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Novell_Files
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_Novell_Files");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_PHP_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_PHP_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Pfdisplay_Read
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_Pfdisplay_Read");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Pfdisplay_Execute
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_Pfdisplay_Execute");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_RegEcho
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_RegEcho");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_RpcNLog
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_RpcNLog");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_SCO_View-Source
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_SCO_View-Source");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_SGI_Wrap
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_SGI_Wrap");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_SGI_Webdist
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_SGI_Webdist");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Verity_Search
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_Verity_Search");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Vulnerable_Client
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_Vulnerable_Client");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Carbo_Server
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_Carbo_Server");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Info2WWW
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_Info2WWW");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_JJ
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_JJ");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Cdomain
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HTTP_Cdomain");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Arp
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Arp");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_Protocol = $V5;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_PmapDump
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "PmapDump");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Ip_HalfScan
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "IPHalfScan");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Queso_Scan
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Queso_Scan");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_Protocol = $V5;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Rlogin_Froot
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Rlogin_Froot");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Windows_Access_Error
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Windows_Access_Error");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Ftp_Syst
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "FTP_Syst");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Ftp_Root
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "FTP_Root");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_FSP_Detected
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "FSP_Detected");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Finger_User
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Finger_User");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Port_Scan
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Port_Scan");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_Protocol = $V5;
    rm_LogData = $V10;
    rm_Priority = $V2;
  END

CLASS RS_UDP_Port_Scan
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "UDP_Port_Scan");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Kerberos_User_Snarf
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Kerberos_User_Snarf");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_DNS_Length_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "DNS_Length_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Echo_Denial_of_Service
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Echo_Denial_of_Service");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Generic_Intel_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Generic_Intel_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_MountdExport
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "MountdExport");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_MountdMnt
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "MountdMnt");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_NfsMknod
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "NfsMknod");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Finger_Perl
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Finger_Perl");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Finger_RTM
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Finger_RTM");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Email_Expn
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Email_Expn");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Email_Vrfy
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Email_Vrfy");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Email_Vrfy_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Email_Vrfy_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Email_Helo_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Email_Helo_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Email_Ehlo
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Email_Ehlo");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Email_Pipe
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Email_Pipe");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Email_Decode
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Email_Decode");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Email_Debug
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Email_Debug");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Email_Wiz
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Email_WIZ");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Email_Qmail_Length
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Email_Qmail_Length");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Email_Qmail_Rcpt
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Email_Qmail_Rcpt");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Email_Relay_Spam
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Email_Relay_Spam");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Ident_Error
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Ident_Error");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol  = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

#############################################################################
#  The following is deleted because trap cannot be generated by Real Secure
#############################################################################

CLASS RS_Snmp_Activity
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "SNMP_Activity");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Snmp_Set
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "SNMP_Set");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sun_SNMP_Backdoor
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Sun_SNMP_Backdoor");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HP_OpenView_SNMP_Backdoor
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "HP_OpenView_SNMP_Backdoor");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Imap_User
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "IMAP_User");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Imap_Password
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "IMAP_Password");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Imap_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "IMAP_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_POP_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "POP_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Land_UDP
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Land_UDP");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Land
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Land");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Ident_User
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Ident_User");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Finger_Bomb
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Finger_Bomb");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_FTP_Bounce
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "FTP_Bounce");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_FTP_PrivilegedBounce
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "FTP_PrivilegedBounce");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_FTP_PrivilegedPort
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "FTP_PrivilegedPort");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_PingFlood
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "PingFlood");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
   10: ATTR(=,"eventEntryIcmpType25");
   11: ATTR(=,"eventEntryIcmpCode25");
   12: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_Type = $V10;
    rm_Code = $V11;
    rm_Priority = $V2;
    rm_LogData = $V12;
  END

CLASS RS_Smurf
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Smurf");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
   10: ATTR(=,"eventEntryIcmpType25");
   11: ATTR(=,"eventEntryIcmpCode25");
   12: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_Type = $V10;
    rm_Code = $V11;
    rm_Priority = $V2;
    rm_LogData = $V12;
  END

CLASS RS_Win_IGMP_DOS
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Win_IGMP_DOS");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Windows_OOB
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Windows_OOB");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_PingOfDeath
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "PingOfDeath");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SYNFlood
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "SYNFlood");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IPProtocolViolation
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "IPProtocolViolation");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_BackOrifice
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "BackOrifice");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TrinooDaemon
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "TrinooDaemon");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_NetBus_Pro
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "NetBus_Pro");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IPUnknownProtocol
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "IPUnknownProtocol");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IPFrag
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "IPFrag");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Satan
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "Satan");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_ISS
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25"), VALUE(PREFIX, "ISS");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TearDrop
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") ,VALUE(PREFIX, "TearDrop");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_LogData = $V10;
    rm_Priority = $V2;
  END

###############################################################################################
# Real Secure System Agent Classes
###############################################################################################


CLASS RS_Login_S
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Successful_login");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Logout
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "User_logout");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Guest
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Guest_user_login");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_UseOfUserRights
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Use_of_user_rights");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Password_change_F
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX,"Password_change_failed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Password_change_S
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX,"Password_change_successful");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Login_F_Locked
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Failed_login-account_locked_out");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Login_F_Bad
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Failed_login-bad_username_or_password");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Login_F_Expired
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Failed_login-password_expired");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Login_F_Disabled
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Failed_login-account_disabled");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Logon_Admin_Privileges
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Logon_with_admin_privileges");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Global_group_user_added
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Global_group_user_added");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Global_group_user_removed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Global_group_user_removed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Local_group_changed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Local_group_changed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Local_group_created
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Local_group_created");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Local_group_deleted
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Local_group_deleted");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Local_group_user_added
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Local_group_user_added");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Local_group_user_removed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Local_group_user_removed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Account_policy_change
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Account_policy_change");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_User_account_changed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "User_account_changed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_User_account_created
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "User_account_created");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_User_account_deleted
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "User_account_deleted");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_User_right_granted
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "User_right_granted");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_User_right_revoked
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "User_right_revoked");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Audit_log_cleared
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Audit_log_cleared");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Audit_policy_change
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Audit_policy_change");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_User_added_to_local_admin_group
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "User_Added_to_Local_Admin_Group");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_User_added_to_local_admin_group
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "User_added_to_local_admin_group");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_User_admin_right_granted
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "User_Admin_Right_Granted");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_User_admin_right_granted
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "User_admin_right_granted");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Important_programs
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Startup_of_important_programs");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Privilege_service_called
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Privileged_service_called");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Registry_autorun_changed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Registry_autorun_changed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Program_started
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Program_execution_started");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Program_exited
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Program_exited");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Logon_process_registered
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Logon_process_registered");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_BF_login_attack
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Brute_Force_login_attack");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_BF_login_attack
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Brute_force_login_attack");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_BF_login_attack_S
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Brute_Force_login_likely_successful");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_BF_login_attack_S
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Brute_force_login_likely_successful");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Change_password_attack
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Change_password_attack");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Change_password_attack_S
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Change_password_attack_likely_successful");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Registry_eventlog_settings_changed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Registry_eventlog_settings_changed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Registry_NT_security_options_changed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Registry_NT_security_options_changed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Changes_to_important_files
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Changes_to_important_files");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Config-log_files_deleted
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Config-log_files_deleted");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Suspect_portscan
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Suspect_portscan");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Suspect_FTP
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Suspect_FTP");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Suspect_IMAP
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Suspect_IMAP");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Suspect_Netstat
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Suspect_Netstat");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Suspect_POP
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Suspect_POP");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Suspect_POP2
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Suspect_POP2");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Suspect_POP3
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Suspect_POP3");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Suspect_portscan
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Suspect_Portscan");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Suspect_SMTP
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Suspect_SMTP");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Suspect_Systat
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Suspect_Systat");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Suspect_Telnet
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Suspect_Telnet");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Suspect_Whois
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Suspect_Whois");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Suspect_WWW
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Suspect_WWW");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Suspect_Finger
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Suspect_Finger");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Suspect_Time
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Suspect_Time");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Suspect_SSH
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Suspect_SSH");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Suspect_Sunrpc
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Suspect_Sunrpc");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Suspect_Netbus
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Suspect_Netbus");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_BackOrifice2000
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "BackOrifice2000");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_BackConstruction
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "BackConstruction");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_BackDoor2
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "BackDoor2");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_BigGluck
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "BigGluck");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Blazer5
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Blazer5");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Bugs
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Bugs");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Coma
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Coma");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Chargen_DoS
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Chargen_Denial_of_Service");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_DeepThroat
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "DeepThroat");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_DeltaSource
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "DeltaSource");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Devil
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Devil");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_DNS_Hostname_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "DNS_Hostname_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Doly
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Doly");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_DonaldDick
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "DonaldDick");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_EvilFTP_Backdoor
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "EvilFTP_Backdoor");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange_nntp_auth_F
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange_nntp_authentication_failures");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange_pop3_auth_F
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange_pop3_authentication_failures");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_EZShopper_Loadpage
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_EZShopper_Loadpage");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_EZShopper_Search
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_EZShopper_Search");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_ForcedEntry
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "ForcedEntry");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Fore
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Fore");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Frenzy
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Frenzy");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_GateCrasher
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "GateCrasher");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_GirlFriend
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "GirlFriend");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HackATack
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HackATack");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HackersParadise
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HackersParadise");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_HomeFree_Search
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_HomeFree_Search");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Masters_Paradise98
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Masters_Paradise98");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_MavericksMatrix
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "MavericksMatrix");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Millenium
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Millenium");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Mstream_Zombie
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Mstream_Zombie");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_NCX_Backdoor
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "NCX_Backdoor");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_NetBus
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "NetBus");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_NetSpy
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "NetSpy");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_NetSphere
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "NetSphere");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_NetSpy_v12
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "NetSpy_v12");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_NfsUid
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "NfsUid");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Packet_Capturing_Remote
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Packet_Capturing_Remote");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Packet_Capturing_Tool
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Packet_Capturing_Tool");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_PhaseZero
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "PhaseZero");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_PortalOfDoom
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "PortalOfDoom");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Progenic
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Progenic");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Prosiak
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Prosiak");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_RemoteWindowsShutdown
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "RemoteWindowsShutdown");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SatansBackdoor
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SatansBackdoor");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Schwindler
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Schwindler");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SecretService
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SecretService");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_ServeMe
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "ServeMe");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Snmp_Suspicious_Set
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SNMP_Suspicious_Set");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Stacheldraht_DOS
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Stacheldraht_DOS");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Statd_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Statd_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Statd_DotDot
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Statd_DotDot");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_StealthSpy
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "StealthSpy");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TCP_Hijacking_Tool
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TCP_Hijacking_Tool");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TelnetCommando
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TelnetCommando");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TelnetAuthUserLong
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TelnetAuthUserLong");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TelnetEnvLong
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TelnetEnvLong");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TelnetLinkerBug
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TelnetLinkerBug");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TelnetTerminaltypeLong
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TelnetTerminaltypeLong");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TelnetXdisplayLong
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TelnetXdisplayLong");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TheThing
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TheThing");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Tribe_Flood_Network
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Tribe_Flood_Network");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TFN2000
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TFN2000");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Trin00DaemonRegister
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Trin00DaemonRegister");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TrinooMasterAttempt
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TrinooMasterAttempt");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TrinooMasterConnect
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TrinooMasterConnect");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Truva
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Truva");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Unexplained
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Unexplained");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Logon_with_special_P
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Logon_with_special_privileges");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Disk_space_shortage
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Disk_space_shortage");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Allaire_JRun_JSP_Execute
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Allaire_JRun_JSP_Execute");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Allaire_JRun_SSIFilter
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Allaire_JRun_SSIFilter");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_Amd_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Amd_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_AnswerBook2_Admin
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "AnswerBook2_Admin");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_AnswerBook2_Execute
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "AnswerBook2_Execute");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Asylum
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Asylum");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_Auth_ticket_request_failed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Authentication_ticket_request_failed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Bootp_Remote_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Bootp_Remote_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Chupacabra
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Chupacabra");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Connection_Backdoor
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Connection_Backdoor");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_CrazzyNet
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "CrazzyNet");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_dcomdef_deny
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "dcomdef_deny");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_dcomsrv_deny
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "dcomsrv_deny");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Email_Almail_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Email_Almail_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Email_Amavis_Exec
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Email_Amavis_Exec");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Email_Listserv_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Email_Listserv_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Email_Outlook_Date_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Email_Outlook_Date_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_EventHorizon
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "EventHorizon");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Freak88
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Freak88");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_FTP_AIX_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "FTP_AIX_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_FTP_Format_String
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "FTP_Format_String");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_FTP_NetTerm_Dele_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "FTP_NetTerm_Dele_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_FTP_NetTerm_Dir_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "FTP_NetTerm_Dir_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_FTP_NetTerm_Ls_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "FTP_NetTerm_Ls_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_FTP_NetTerm_Mkd_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "FTP_NetTerm_Mkd_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_FTP_NetTerm_Pass_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "FTP_NetTerm_Pass_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_FTP_NetTerm_Rmdir_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "FTP_NetTerm_Rmdir_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_FW1_Auth_As_Local
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "FW1_Auth_As_Local");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_GayOL
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "GayOL");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_HTTP_BAT_Execute
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_BAT_Execute");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_BrownOrifice
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_BrownOrifice");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Carello
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_Carello");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Cart32_ChangeAdminPassword
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_Cart32_ChangeAdminPassword");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_HTTP_Cart32_ClientList
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_Cart32_ClientList");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Cisco_Catalyst_Exec
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_Cisco_Catalyst_Exec");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Dansie_Backdoor
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_Dansie_Backdoor");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_DragonFire
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_DragonFire");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_HTTP_MDAC_Access
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_MDAC_Access");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_MSRadio_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_MSRadio_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_NS_Admin_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_NS_Admin_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_QuikStore
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_QuikStore");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_HTTP_SGI_Infosrch
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_SGI_Infosrch");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_WebStore
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_WebStore");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Ident_Newline
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Ident_Newline");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Imail_ldap_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Imail_ldap_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IMAP_Authenticate_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "IMAP_Authenticate_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IMAP_Outlook_Date_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "IMAP_Outlook_Date_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Infector
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Infector");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_INN_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "INN_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Innd_Cancel_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Innd_Cancel_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IRC_Trinity
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "IRC_Trinity");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IRDP_Gateway_Spoof
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "IRDP_Gateway_Spoof");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_Kuang2Virus
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Kuang2Virus");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_LPRng_Format_String
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "LPRng_Format_String");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_NTP_Readvar_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "NTP_Readvar_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_OpenView_NNM_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "OpenView_NNM_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_POP_Fold_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "POP_Fold_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_POP_Fuseware_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "POP_Fuseware_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_POP_Outlook_Date_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "POP_Outlook_Date_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_POP_QPopAuth_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "POP_QPopAuth_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_POP_QPopCommand_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "POP_QPopCommand_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Qaz_Command
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Qaz_Command");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Qaz_Connect
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Qaz_Connect");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Quake3Arena_Vulnerable_Client
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Quake3Arena_Vulnerable_Client");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_Quake3Arena_Vulnerable_Server
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Quake3Arena_Vulnerable_Server");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_RemoteStorm
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "RemoteStorm");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_RemoteWatch
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "RemoteWatch");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_RuxTick
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "RuxTick");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_Sadmind_Amslverify_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Sadmind_Amslverify_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SnidX2
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SnidX2");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SniperNet
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SniperNet");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SNMP_Delete_WINS
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SNMP_Delete_WINS");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_SNMPXdmid_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SNMPXdmid_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Snoop_GetQuota_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Snoop_GetQuota_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sockets_de_Troie
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Sockets_de_Troie");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Statd_Automount_Exec
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Statd_Automount_Exec");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_Statd_Format_Attack
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Statd_Format_Attack");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SubSeven
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SubSeven");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Swift
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Swift");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Syphillis
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Syphillis");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_Syphillis_Scan
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Syphillis_Scan");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Tini
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Tini");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TransScout
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TransScout");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Y3K_RAT
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Y3K_RAT");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_Add_SID_failure
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Add_SID_failure");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Add_SID_success
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Add_SID_success");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Computer_account_changed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Computer_account_changed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Computer_account_created
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Computer_account_created");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_Computer_account_deleted
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Computer_account_deleted");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_dns_bad_pkts
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "dns_bad_pkts");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_dns_inv_dom
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "dns_inv_dom");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_dns_inv_dom_offset
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "dns_inv_dom_offset");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_dns_inv_dom_pkt
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "dns_inv_dom_pkt");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_dns_inv_updated
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "dns_inv_updated");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_DNS_Iquery
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "DNS_Iquery");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_dns_maxlen_pkt
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "dns_maxlen_pkt");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_DNS_NXT_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "DNS_NXT_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_DNS_TSIG_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "DNS_TSIG_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_dns_unauth_xfer
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "dns_unauth_xfer");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_DNS_Zone_High_Port
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "DNS_Zone_High_Port");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_DNS_Zone_Transfer
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "DNS_Zone_Transfer");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_Email_Expn_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Email_Expn_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Email_To_Dot_Dot
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Email_To_Dot_Dot");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Email_Xchg_Auth
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Email_Xchg_Auth");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Glacier
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Glacier");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_HostControl
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HostControl");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_ActiveX
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_ActiveX");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_AnyForm
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_AnyForm");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_AnyFormPost
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_AnyFormPost");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_HTTP_Apache_DOS
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_Apache_DOS");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Cisco_IOS_DoS
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_Cisco_IOS_DoS");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Cisco_IOS_Query_DoS
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_Cisco_IOS_Query_DoS");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_ColdFusion_Admin
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_ColdFusion_Admin");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_ColdFusion_Cfcache
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_ColdFusion_Cfcache");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_ColdFusion_FileExists
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_ColdFusion_FileExists");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_ColdFusion_SourceWindow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_ColdFusion_SourceWindow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_ColdFusion_SyntaxChecker_DOS
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_ColdFusion_SyntaxChecker_DOS");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_ColdFusion_ViewExample
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_ColdFusion_ViewExample");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Softcart
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_Softcart");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_HTTP_WebLogic_JavaInjection
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_WebLogic_JavaInjection");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_WebLogic_PluginBO
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_WebLogic_PluginBO");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Portmaster_Reboot
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Portmaster_Reboot");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Preauthentication_failed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Preauthentication_failed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_ras_auth_rasfail
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "ras_auth_rasfail");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_ras_auth_timeout
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "ras_auth_timeout");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Remote_Root_Login
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Remote_Root_Login");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_RPC_Cmsd_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "RPC_Cmsd_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Rwhod_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Rwhod_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_scm_logon_fail
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "scm_logon_fail");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_sec_auditlost
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "sec_auditlost");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_Sec_disabled_global_grp_changed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Security_disabled_global_group_changed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sec_disabled_global_grp_created
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Security_disabled_global_group_created");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sec_disabled_global_grp_deleted
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Security_disabled_global_group_deleted");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sec_disabled_global_grp_member_added
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Security_disabled_global_group_member_added");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_Sec_disabled_global_grp_member_removed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Security_disabled_global_group_member_removed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sec_disabled_local_grp_changed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Security_disabled_local_group_changed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sec_disabled_local_grp_created
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Security_disabled_local_group_created");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sec_disabled_local_grp_deleted
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Security_disabled_local_group_deleted");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_Sec_disabled_local_grp_member_added
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Security_disabled_local_group_member_added");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sec_disabled_local_grp_member_removed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Security_disabled_local_group_member_removed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sec_disabled_universal_grp_changed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Security_disabled_universal_group_changed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sec_disabled_universal_grp_created
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Security_disabled_universal_group_created");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_Sec_disabled_universal_grp_deleted
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Security_disabled_universal_group_deleted");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sec_disabled_universal_grp_member_added
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Security_disabled_universal_group_member_added");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sec_disabled_universal_grp_member_removed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Security_disabled_universal_group_member_removed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sec_enabled_universal_grp_changed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Security_enabled_universal_group_changed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_Sec_enabled_universal_grp_created
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Security_enabled_universal_group_created");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sec_enabled_universal_grp_deleted
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Security_enabled_universal_group_deleted");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sec_enabled_universal_grp_member_added
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Security_enabled_universal_group_member_added");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sec_enabled_universal_grp_member_removed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Security_enabled_universal_group_member_removed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_Service_ticket_request_failed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Service_ticket_request_failed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SQLServer_login_failed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SQLServer_login_failed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_Root_login
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_Root_login");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Admind
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Admind");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_AIX_Pdnsd_BO
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "AIX_Pdnsd_BO");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Allaire_JRun_Sample_Files
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Allaire_JRun_Sample_Files");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Allaire_JRun_WebInf_DotSlash
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Allaire_JRun_WebInf_DotSlash");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Allaire_JRun_WebInf_SlashSlash
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Allaire_JRun_WebInf_SlashSlash");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Amd_Pid
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Amd_Pid");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Amd_Version
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Amd_Version");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_AntiSniff_ARP_Test
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "AntiSniff_ARP_Test");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_AntiSniff_DNS_Test
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "AntiSniff_DNS_Test");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_AolAdmin
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "AolAdmin");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Ascend_Kill
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Ascend_Kill");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Authentication_package_loaded
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Authentication_package_loaded");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Authentication_ticket_granted
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Authentication_ticket_granted");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Bind_Version_Request
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Bind_Version_Request");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SNMP_Suspicious_Get
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SNMP_Suspicious_Get");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Cisco_CR_DoS
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Cisco_CR_DoS");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Cisco_Ident
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Cisco_Ident");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Bootparam
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Bootparam");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Cisco_Syslog_DoS
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Cisco_Syslog_DoS");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Config-log_files_delete_failed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Config-log_files_delete_failed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_CyberCop_Scanner
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "CyberCop_Scanner");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Detector_Error
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Detector_Error");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Detector_Info
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Detector_Info");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Detector_Warning
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Detector_Warning");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_DNS_All
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "DNS_All");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_dns_cname
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "dns_cname");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_DNS_HInfo
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "DNS_HInfo");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_dns_name_offset
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "dns_name_offset");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_drw_stack_ovflw
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "drw_stack_ovflw");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Email_From
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Email_From");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Email_Subject
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Email_Subject");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Email_To
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Email_To");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Email_Turn
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Email_Turn");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_EventCollector_Error
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "EventCollector_Error");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_EventCollector_Info
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "EventCollector_Info");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_EventCollector_Warning
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "EventCollector_Warning");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_evt_logcorrupt
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "evt_logcorrupt");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_evt_logfull
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "evt_logfull");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_evt_openfail
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "evt_openfail");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange55_adm_connect
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange55_administrator_connect");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange55_adm_login_as_user
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange55_administrator_login_as_user");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange55_pop3_auth_fail
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange55_pop3_authentication_failures");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange55_unauth_pop3_cmd
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange55_unauthenticated_pop3_command");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange55_unauth_pop3_cmd_invalid
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange55_unauthenticated_pop3_command_invalid");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange55_unauth_pop3_cmd_invalidargs
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange55_unauthenticated_pop3_command_invalidargs");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange55_unauth_pop3_cmd_wrongargs
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange55_unauthenticated_pop3_command_wrongargs");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange55_view_adm_login
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange55_view_administrator_login");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange_adm_connect
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange_administrator_connect");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange_adm_login_as_user
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange_administrator_login_as_user");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange_anonymous_logon
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange_anonymous_logon");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange_imap_auth_failures
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange_imap_authentication_failures");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange_logon_failure
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange_logon_failure");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange_mail_sent_as
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange_mail_sent_as");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange_mail_sent_on_behalf
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange_mail_sent_on_behalf");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange_nntp_auth_failures
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange_nntp_authentication_failures");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange_pop3_auth_failures
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange_pop3_authentication_failures");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange_PST_passwords_saved
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange_PST_passwords_saved");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange_PST_passwords_saved
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange_pst_passwords_saved");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange_sec_attr_change
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange_security_attribute_change");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange_service_pwd_change
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange_service_password_change");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange_unauth_imap_cmd
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange_unauthenticated_imap_command");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange_unauth_logon_attempt
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange_unauthenticated_logon_attempt");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange_unauth_nntp_cmd
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange_unauthenticated_nntp_command");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange_unauth_pop3_cmd
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange_unauthenticated_pop3_command");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange_unauth_pop3_cmd_invalid
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange_unauthenticated_pop3_command_invalid");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange_unauth_pop3_cmd_invalidargs
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange_unauthenticated_pop3_command_invalidargs");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange_unauth_pop3_cmd_wrongargs
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange_unauthenticated_pop3_command_wrongargs");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange_user_login_into_other_users_mailbox
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange_user_login_into_other_users_mailbox");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Exchange_view_adm_login
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Exchange_view_administrator_login");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Failed_change_of_important_files
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Failed_change_of_important_files");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Failed_login-acct_disabled
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Failed_login-account_disabled");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Failed_login-acct_expired
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Failed_login-account_expired");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Failed_login-acct_locked_out
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Failed_login-account_locked_out");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Failed_login-acct_locked_out_New
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Failed_login-account_locked_out_New");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Failed_login-bad_username_or_pwd
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Failed_login-bad_username_or_password");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Failed_login-net_logon_not_active
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Failed_login-net_logon_not_active");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Failed_login-not_auth_for_console_login
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Failed_login-not_authorized_for_console_login");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Failed_login-not_auth_type_login
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Failed_login-not_authorized_for_this_type_of_login");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Failed_login-pwd_expired
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Failed_login-password_expired");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Failed_login-time_restrict_violation
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Failed_login-time_restriction_violation");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Failed_login-unknown_error
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Failed_login-unknown_error");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_FTP_Args
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "FTP_Args");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_FTP_Get
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "FTP_Get");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_FTP_Mkdir
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "FTP_Mkdir");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_FTP_Pass
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "FTP_Pass");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_FTP_Put
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "FTP_Put");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_FTP_Root_Login
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "FTP_Root_Login");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_FTP_Site_Cmd
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "FTP_Site_Cmd");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_FTP_Site_Exec_DotDot
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "FTP_Site_Exec_DotDot");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_FTP_Site_Exec_Tar
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "FTP_Site_Exec_Tar");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_FTP_User_Login
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "FTP_User_Login");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_FTP_User
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "FTP_User");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_FW1_Auth_Replay
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "FW1_Auth_Replay");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_FW1_GetTopology
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "FW1_GetTopology");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Global_group_changed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Global_group_changed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Global_group_created
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Global_group_created");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Global_group_deleted
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Global_group_deleted");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Gnutella_Connect
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Gnutella_Connect");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Gnutella_Download
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Gnutella_Download");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Gnutella_Worm
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Gnutella_Worm");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Group_type_changed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Group_type_changed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Guest_user_login
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Guest_user_login");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Authentication
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_Authentication");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Axis_Storpoint
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_Axis_Storpoint");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Cart32_Expdate
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_Cart32_Expdate");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Cookie
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_Cookie");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Dansie_Cart
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_Dansie_Cart");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Dansie_Infoleak
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_Dansie_Infoleak");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_ECware_DoS
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_ECware_DoS");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_EZMall2000
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_EZMall2000");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_FrontPage_DeviceName
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_FrontPage_DeviceName");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Get
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_Get");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Head
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_Head");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_IIS_Obtain_Code
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_IIS_Obtain_Code");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_IndexServer_IDQ
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_IndexServer_IDQ");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_IndexServer_Webhits
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_IndexServer_Webhits");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Java
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_Java");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_JSP_SourceRead
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_JSP_SourceRead");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Netscape_List_Dir
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_Netscape_List_Directories");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Orderform
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_Orderform");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_PDGSoft
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_PDGSoft");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_PHP_Read
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_PHP_Read");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Post
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_Post");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Script_Bypass
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_Script_Bypass");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_ShellHistory
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_ShellHistory");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_ShockWave
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_ShockWave");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_Tilde
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_Tilde");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_WeaknessCGIScanner
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_WeaknessCGIScanner");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_WebLogic_FileServlet_Show_Code
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_WebLogic_FileServlet_Show_Code");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_WebLogic_FileSourceRead
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_WebLogic_FileSourceRead");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_WebSphere_HeaderDoS
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_WebSphere_HeaderDoS");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_WindMail_FileRead
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_WindMail_FileRead");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_HTTP_WWWThreads_Admin
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "HTTP_WWWThreads_Admin");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Hvl_Rat
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Hvl_Rat");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Ident_Linux_DoS
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Ident_Linux_DoS");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Ident_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Ident_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IMAP2bis_server_anony_login_success
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "IMAP2bis_server_anonymous_login_successful");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IMAP2bis_server_brute_force_attack
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "IMAP2bis_server_brute_force_attack");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IMAP2bis_server_preauthen_user_login_success
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "IMAP2bis_server_preauthenticated_user_login_successful");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IMAP2bis_server_user_auto-logout
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "IMAP2bis_server_user_auto-logout");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IMAP2bis_server_user_login_fail
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "IMAP2bis_server_user_login_failure");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IMAP2bis_server_user_login_success
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "IMAP2bis_server_user_login_successful");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IMAP2bis_server_user_logout
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "IMAP2bis_server_user_logout");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IMAP_Imail_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "IMAP_Imail_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_INN_Control
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "INN_Control");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IPDuplicate
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "IPDuplicate");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IPOP3D_brute_force_attack
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "IPOP3D_brute_force_attack");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IPOP3D_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "IPOP3D_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IPOP3D_user_auto-logout
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "IPOP3D_user_auto-logout");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IPOP3D_user_kiss_of_death_logout
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "IPOP3D_user_kiss_of_death_logout");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IPOP3D_user_login_fail
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "IPOP3D_user_login_failure");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IPOP3D_user_login_success
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "IPOP3D_user_login_successful");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IPOP3D_user_login_to_remote_host_success
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "IPOP3D_user_login_to_remote_host_successful");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IPOP3D_user_logout
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "IPOP3D_user_logout");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IRC_Daemon_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "IRC_Daemon_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IRC_Join
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "IRC_Join");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IRC_Msg
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "IRC_Msg");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_IRC_Nick
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "IRC_Nick");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_LDAP_blacklist_fail
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "LDAP_blacklist_failed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_LDAP_blacklist_permanent
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "LDAP_blacklist_permanent");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_LDAP_blacklist_short-term
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "LDAP_blacklist_short-term");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Log_on_to_account_fail
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Log_on_to_account_failed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Loki
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Loki");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Mapped_account
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Mapped_account");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Mapped_account_fail
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Mapped_account_failed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_MSSQL65_Shutdown
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "MSSQL65_Shutdown");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_MSSQL65_Startup
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "MSSQL65_Startup");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_MSSQL65_Success_Non-Trusted_Conn
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "MSSQL65_Successful_Non-Trusted_Connection");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_MSSQL7_Shutdown
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "MSSQL7_Shutdown");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_MSSQL7_Startup
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "MSSQL7_Startup");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_MSSQL7_Success_Non-Trusted_Conn
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "MSSQL7_Successful_Non-Trusted_Connection");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_MSSQL_Failed_Conn
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "MSSQL_Failed_Connection");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_MSSQL_Success_Trusted_Conn
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "MSSQL_Successful_Trusted_Connection");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Mstream_Master
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Mstream_Master");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Napster_Client_Update
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Napster_Client_Update");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Napster_Command_Long
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Napster_Command_Long");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Napster_Create_Account
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Napster_Create_Account");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Napster_Download
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Napster_Download");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Napster_Login
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Napster_Login");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Napster_Login_Info
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Napster_Login_Info");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Napster_Private_Msg
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Napster_Private_Msg");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Napster_Public_Msg
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Napster_Public_Msg");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Napster_Search
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Napster_Search");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Napster_Sharing
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Napster_Sharing");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Netbios_Session_Granted
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Netbios_Session_Granted");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Netbios_Session_Rejected
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Netbios_Session_Rejected");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Netbios_Session_Request
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Netbios_Session_Request");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_netmon_start
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "netmon_start");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_NfsGuess
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "NfsGuess");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_NIS_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "NIS_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Nmap_Scan
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Nmap_Scan");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_NNTP_Group
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "NNTP_Group");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_NNTP_Password
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "NNTP_Password");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_NNTP_User
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "NNTP_User");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_NNTP_XchgAuth
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "NNTP_XchgAuth");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Oracle_Connect_Internal
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Oracle_Connect_Internal");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Oracle_Failed_Connection
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Oracle_Failed_Connection");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Oracle_Failed_Object_Access
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Oracle_Failed_Object_Access");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Oracle_Shutdown
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Oracle_Shutdown");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Oracle_Startup
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Oracle_Startup");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Oracle_Succes_Conn
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Oracle_Successful_Connection");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Oracle_Success_Object_Access
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Oracle_Successful_Object_Access");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Out_of_virtual_memory
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Out_of_virtual_memory");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_PcnfsdExec
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "PcnfsdExec");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_PmapMnt
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "PmapMnt");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_PmapProxy
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "PmapProxy");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_PmapSet
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "PmapSet");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_PmapSetSpoof
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "PmapSetSpoof");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_PmapUnset
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "PmapUnset");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_PmapUnsetSpoof
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "PmapUnsetSpoof");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_POP_Password
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "POP_Password");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_POP_User
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "POP_User");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Probing_of_important_files
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Probing_of_important_files");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_QPopper_possible_user_probe
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "QPopper_possible_user_probe");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_QPopper_user_login_fail
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "QPopper_user_login_failure");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_ras_noaccess
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "ras_noaccess");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_RealSecure_Kill
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "RealSecure_Kill");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_RedHat_Lpd_Print_Control
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "RedHat_Lpd_Print_Control");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Registry_remote_edit_changed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Registry_remote_edit_changed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Remote_User_Login
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Remote_User_Login");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Rexd
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Rexd");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Rexec
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Rexec");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Ringzero
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Ringzero");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_RIPAdd
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "RIPAdd");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_RIPExpire
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "RIPExpire");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_RIPMetricChange
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "RIPMetricChange");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Rlogin_Session
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Rlogin_Session");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Rsh
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Rsh");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_S2_Scan_Completed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "S2_Scan_Completed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_S2_Scan_Started
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "S2_Scan_Started");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_S2_Scan_Vulnerability_Found
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "S2_Scan_Vulnerability_Found");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sadmind_Ping
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Sadmind_Ping");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SelSvcH
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SelSvcH");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sensor_Error
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Sensor_Error");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sensor_Info
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Sensor_Info");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sensor_Warning
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Sensor_Warning");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Service_ticket_granted
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Service_ticket_granted");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_ServiceScan
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "ServiceScan");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Session_disconnected
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Session_disconnected");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Session_reconnected
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Session_reconnected");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SMB_Client_Cleartext_Password
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SMB_Client_Cleartext_Password");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SMB_Password_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SMB_Password_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SNMP_Community
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SNMP_Community");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SourceRoute
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SourceRoute");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SQLServer_login_fail_not_adm
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SQLServer_login_failed_not_administrator");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SQLServer_login_fail_not_trust
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SQLServer_login_failed_not_trusted");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SQLServer_login_fail_not_valid_user
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SQLServer_login_failed_not_valid_user");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SQLServer_login_fail_too_many_users
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SQLServer_login_failed_too_many_users");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_agent_auth_failure
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_agent_auth._failure");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_command_execution
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_command_execution");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_conn
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_connection");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_conn_for_user_not_allow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_connection_for_user_not_allowed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_conn_for_user_not_allow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_connection_for_user_not_allowed_From_Host");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_conn_from_host_not_allow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_connection_from_host_not_allowed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_Detected
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_Detected");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_DNS_spoofing_attack-no_rev_map
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_DNS_spoofing_attack-no_reverse_mapping");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_DNS_spoofing_attack-rev_map_diff
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_DNS_spoofing_attack-reverse_mapping_different");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_IP_options_used
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_IP_options_used");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_Kerberos_auth_fail
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_Kerberos_auth._failed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_Kerberos_auth_success
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_Kerberos_auth._successful");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_Kerberos_KDC_possible_spoof
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_Kerberos_KDC_possible_spoofing");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_Kerberos_password_auth_fail
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_Kerberos_password_auth._failed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_Kerberos_TGT_not_verify
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_Kerberos_TGT_not_verified");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_Kerberos_TGT_reject
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_Kerberos_TGT_rejected");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_Kerberos_ticket_auth_fail
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_Kerberos_ticket_auth._failed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_OSF-1_security_level
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_OSF-1_security_level");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_Rhosts_auth_attempt_from_unpriv_port
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_Rhosts_auth._attempt_from_unprivileged_port");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_Rhosts_auth_refuse
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_Rhosts_auth._refused");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_Root_command_execution
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_Root_command_execution");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_RSA_auth_fail
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_RSA_auth._failed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_RSA_auth_from_restricted_host
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_RSA_auth._from_restricted_host");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_RSA_auth_refuse
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_RSA_auth._refused");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_SecurID_auth_require
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_SecurID_auth._required");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_Success_pwd_auth
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_Successful_password_auth.");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_Success_rhosts_auth
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_Successful_rhosts_auth.");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SSH_User_name_length_overflow_attack
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SSH_User_name_length_overflow_attack");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Stream_DoS
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Stream_DoS");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_SubSeven_Scan
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "SubSeven_Scan");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sybase_Fail_Conn
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Sybase_Failed_Connection");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sybase_No_Config_File
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Sybase_No_Configuration_File");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sybase_Shutdown
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Sybase_Shutdown");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sybase_Startup
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Sybase_Startup");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_System_time_changed
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "System_time_changed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Sybase_Success_Conn
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Sybase_Successful_Connection");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Talk_Flash
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Talk_Flash");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Talk_Request
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Talk_Request");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TCP_Overlap_Data
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TCP_Overlap_Data");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TCP_Port
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TCP_Port");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TCP_Urgent_Data
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TCP_Urgent_Data");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TeleCommando
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TeleCommando");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TelnetAuthKerb4
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TelnetAuthKerb4");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TelnetAuthKerb5
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TelnetAuthKerb5");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TelnetAuthLoki
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TelnetAuthLoki");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TelnetAuthNull
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TelnetAuthNull");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TelnetAuthRsa
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TelnetAuthRsa");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TelnetAuthSpx
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TelnetAuthSpx");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TelnetAuthUser
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TelnetAuthUser");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TelnetEnvAll
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TelnetEnvAll");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TelnetEnvTermcap
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TelnetEnvTermcap");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TelnetTerminaltype
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TelnetTerminaltype");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TelnetXdisplay
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TelnetXdisplay");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TFTP_Get
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TFTP_Get");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TFTP_Put
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TFTP_Put");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Ticket_granted_renew
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Ticket_granted_renewed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Tivoli_LCF_Default_Pwd
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Tivoli_LCF_Default_Password");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Tivoli_Lcf_File_Read
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Tivoli_Lcf_File_Read");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_ToolTalk_Overflow
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "ToolTalk_Overflow");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TotalEclypse
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TotalEclypse");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Trace_Route
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Trace_Route");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_TrinooDaemonRegister
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "TrinooDaemonRegister");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");

    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Trusted_domain_add
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Trusted_domain_added");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Trusted_domain_remove
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Trusted_domain_removed");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_UDPBomb
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "UDPBomb");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Ultors
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Ultors");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_UNIX_Root_Login_Success
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "UNIX_Root_Login_Successful");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_UNIX_Root_Su_Fail
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "UNIX_Root_Su_Failure");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_UNIX_Root_Su_Success
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "UNIX_Root_Su_Successful");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_User_account_disable
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "User_account_disabled");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_User_account_enable
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "User_account_enabled");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_User_account_lock_out
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "User_account_locked_out");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_User_account_used_for_logon
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "User_account_used_for_logon");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_User_add_to_global_adm_group
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "User_added_to_global_admin_group");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_User_admin_right_revoke
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "User_admin_right_revoked");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Win_IP_Src_Route
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Win_IP_Src_Route");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Windows_LSA_Connect
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Windows_LSA_Connect");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Windows_Null_Session
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Windows_Null_Session");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Windows_PWL_Access
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Windows_PWL_Access");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Windows_Registry_Read
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Windows_Registry_Read");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Ypupdate_Exec
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25") , VALUE(PREFIX, "Ypupdate_Exec");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Catchall
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

 CLASS RS_Catchall_DS
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_Protocol = $V5;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END

CLASS RS_Catchall_DSP
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_Protocol = $V5;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


CLASS RS_Catchall_UDA
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.2499");
    2: ATTR(=,$SPECIFIC);
    3: ATTR(=,"eventEntryName25");
    4: ATTR(=,"eventEntryTime25");
    5: ATTR(=,"eventEntryProtocol25");
    6: ATTR(=,"eventEntrySourceIpAddress25");
    7: ATTR(=,"eventEntryDestinationIpAddress25");
    8: ATTR(=,"eventEntrySourcePort25");
    9: ATTR(=,"eventEntryDestinationPort25");
    10: ATTR(=,"eventEntryEventSpecificInfo25");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_Signature = $V3;
    msg = $V3;
    rm_Timestamp = $V4;
    rm_SourceIPAddr = $V6;
    rm_DestinationIPAddr = $V7;
    rm_SrcPort = $V8;
    rm_DstPort = $V9;
    rm_Priority = $V2;
    rm_LogData = $V10;
  END


#############################################################################
#  Cisco-SPECIFIC SNMP TRAPS
#############################################################################

CLASS CR_Authentication_Failure_generic
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.2.1.11");
    2: $TYPE = 4;
    3: ATTR(=,"authAddr");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_DestinationHostname = $F1;
    rm_SourceHostname = $V3;
    rm_Signature = "Authentication Error";
    msg = PRINTF("Authentication failed from %s.", $V3);
  END

CLASS CR_Authentication_Failure_specific
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.6.3.1.1.5");
    2: $TYPE = 6;
    3: $SPECIFIC = 5;
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_SpecificTrap = $V3;
    rm_SourceHostname = $F1;
    rm_DestinationHostname = $F1;
    rm_Signature = "Authentication Error";
    msg = PRINTF("Authentication failed detected in %s.", $F1);
  END

CLASS CR_FastHubMIBObjects_LogonIntruder
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.9.2.11.1");
    2: $SPECIFIC = 0;
    3: ATTR(=, "sysName");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_SourceHostname = $F1;
    rm_SpecificTrap = $V2;
    rm_DestinationHostname = $V3;
    rm_Signature = "Multiple Logon Intruder";
    msg = PRINTF("A user tried to logon to %s repeatedly with incorrect password.", $V3);
  END

CLASS CR_series2000_logonIntruder
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.437.1.1.3");
    2: $SPECIFIC = 0;
    3: ATTR(=, "sysName");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_SpecificTrap = $V2;
    rm_SourceHostname = $F1;
    rm_DestinationHostname = $V3;
    rm_Signature = "Multiple Logon Intruder";
    msg = PRINTF("A user tried to logon to %s repeatedly with incorrect password.", $V3);
  END

CLASS CR_series2000_broadcastStorm
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.437.1.1.3");
    2: $SPECIFIC = 4;
    3: ATTR(=, "ifIndex");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_DestinationHostname = $F1;
    rm_SensorHostname = $F1;
    rm_SourceHostname = $F1;
    rm_SpecificTrap = $V2;
    rm_RouterInterface = $V3;
    rm_Signature = "Router Broadcast Storm";
    msg = PRINTF("Broadcast storm in interface %s.", $V3);
  END


#############################################################################
#  THE FOLLOWING IS SNMP VERSION 2 AND NOT SUPPORTED BY THE SNMP TEC SERVER #
#############################################################################
CLASS CR_SibuMgrsNotns_ciscoSibuMgrsConsoleLogonIntruder
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.9.10.46.2");
    2: $SPECIFIC = 1;
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_SourceHostname = $F1;
    rm_DestinationHostname = $F1;
    rm_SpecificTrap = $V2;
    rm_Signature = "Multiple Logon Intruder";
    msg = PRINTF("A user tried to logon to %s repeatedly with incorrect password.", $F1);
  END

CLASS CR_Reload
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.9");
    2: $TYPE = 6;
    3: $SPECIFIC = 0;
    4: ATTR(=,"whyReload");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_SourceHostname = $F1;
    rm_SpecificTrap = $V3;
    rm_ReloadReason = $V4;
    rm_Category = "State";
    rm_Object = $F1;
    rm_ObjectType = "Router";
    rm_Action = RESTART;
  END

CLASS CR_TCP_Conn_Close
  SELECT
    1: ATTR(=,$ENTERPRISE), VALUE(PREFIX, "1.3.6.1.4.1.9");
    2: $TYPE = 6;
    3: $SPECIFIC = 1;
    4: ATTR(=,"tslineSesType");
    5: ATTR(=,"tcpConnState");
    6: ATTR(=,"loctcpConnElapsed");
    7: ATTR(=,"loctcpConnInBytes");
    8: ATTR(=,"loctcpConnOutBytes");
    9: ATTR(=,"tsLineUser");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_SourceHostname = $F1;
    rm_SpecificTrap = $V3;
    rm_tslineSesType = $V4;
    rm_tcpConnState = $V5;
    rm_loctcpConnElapsed = $V6;
    rm_loctcpConnInBytes = $V7;
    rm_loctcpConnOutBytes = $V8;
    rm_tsLineUser = $V9;
    rm_Category = "State";
    rm_Object = $F1;
    rm_ObjectType = "RouterConnection";
    rm_Action = STOP;
  END

#############################################################################
#  THE FOLLOWING IS SNMP VERSION 2 AND NOT SUPPORTED BY THE SNMP TEC SERVER #
#############################################################################
CLASS CR_cipCsnaNotnPrefix_cipCsnaLlc2ConnLimitExceeded
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.9.9.33.2");
    2: $SPECIFIC = 2;
    3: ATTR(=, "cipCardAdminMaxLlc2Sessions");
    4: ATTR(=, "cipCardCsnaPort");
    5: ATTR(=, "cipCardCsnaConnPath");
    6: ATTR(=, "cipCardCsnaConnDevice");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_SourceHostname = $F1;
    rm_DestinationHostname = $F1;
    rm_SpecificTrap = $V2;
    rm_CardAdminMaxLlc2Sessions = $V3;
    rm_CardCsnaPort = $V4;
    rm_CardCsnaConnPath = $V5;
    rm_CardCsnaConnDevice = $V6;
    rm_Category = "Misc";
    rm_Object = $F1;
    rm_ObjectType = "Address";
    rm_Action = DISCONNECT;
    msg = PRINTF("SNA Max sessions (%s) exceeded at port (%s), with path (%s) at device (%s).", $V3, $V4, $V5, $V6);
  END

#############################################################################
#  THE FOLLOWING IS SNMP VERSION 2 AND NOT SUPPORTED BY THE SNMP TEC SERVER #
#############################################################################
CLASS CR_NetRegMIBNotns_ciscoNetRegDNSQueueTooBig
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.9.9.120.2");
    2: $SPECIFIC = 5;
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_DestinationHostname = $F1;
    rm_SensorHostname = $F1;
    rm_SourceHostname = $F1;
    rm_SpecificTrap = $V2;
    rm_Category = "Misc";
    rm_Object = $F1;
    rm_ObjectType = "Address";
    rm_Action = DISCONNECT;
    msg = PRINTF("The number of pending DNS updates reached its limit in (%s).", $F1);
  END

#############################################################################
#  THE FOLLOWING IS SNMP VERSION 2 AND NOT SUPPORTED BY THE SNMP TEC SERVER #
#############################################################################
CLASS CR_StackNotnsPrefix_tokenRingSoftErrExceededTrap
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.9.5");
    2: $SPECIFIC = 10;
    3: ATTR(=, "ringStationMacAddress");
    4: ATTR(=, "ifIndex");
    5: ATTR(=, "ifName");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_SourceHostname = $F1;
    rm_SpecificTrap = $V2;
    rm_stationMacAddress = $V3;
    rm_interfaceIndex = $V4;
    rm_interfaceName = $V5;
    rm_Category = "ResourceLimitExceeded";
    rm_Object = $V3;
    rm_ObjectType = "TokenRing";
    rm_Action = NONE;
    msg = PRINTF("Software error exceeded for MAC address %s, interface %s, interface name %s.", $V3, $V4, $V5);
  END

CLASS CR_CfgManMIBNotnPrefix_CfgManEvent
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.9.9.43.2");
    2: $SPECIFIC = 1;
    3: ATTR(=, "ccmHistoryEventCommandSource");
    4: ATTR(=, "ccmHistoryEventConfigSource");
    5: ATTR(=, "ccmHistoryEventConfigDestination");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_SourceHostname = $F1;
    rm_SpecificTrap = $V2;
    rm_CommandSource = $V3;
    rm_ConfigSource = $V4;
    rm_ConfigDestination = $V5;
    rm_Category = "Configuration";
    rm_Object = $F1;
    rm_ObjectType = "Router";
    rm_Action = MODIFY;
    msg = PRINTF("Notification of a configuration management event as recorded in ccmHistoryEventTable command source %s, config source %s, config destination %s.", $V3, $V4, $V5);
  END

#############################################################################
#  THE FOLLOWING IS SNMP VERSION 2 AND NOT SUPPORTED BY THE SNMP TEC SERVER #
#############################################################################
CLASS CR_workgroup_sysCfgChangeTrap
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.9.5");
    2: $SPECIFIC = 9;
    3: ATTR(=, "sysConfigChangeTime");
    4: ATTR(=, "sysConfigChangeInfo");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_SourceHostname = $F1;
    rm_SpecificTrap = $V2;
    rm_ConfigChangeTime = $V3;
    rm_Object = $F1;
    rm_Category = "Configuration";
    rm_ObjectType = "System";
    rm_Action = MODIFY;
    msg = PRINTF("System configuration in NVRAM is changed at time %s with info (%s).", $V3, $V4);
  END

CLASS CR_entityMIBTraps_entCfgChange
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.2.1.47.2");
    2: $SPECIFIC = 9;
    3: ATTR(=, "sysConfigChangeTime");
    4: ATTR(=, "sysConfigChangeInfo");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_SourceHostname = $F1;
    rm_SpecificTrap = $V2;
    rm_ConfigChangeTime = $V3;
    rm_Object = $F1;
    rm_Category = "Configuration";
    rm_ObjectType = "System";
    rm_Action = MODIFY;
    msg = PRINTF("Entity configuration in NVRAM is changed at time %s with info (%s).", $V3, $V4);
  END

CLASS CR_EsCfg_EsStackCfgChange
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.9.5.14.1.1");
    2: $SPECIFIC = 1;
    3: ATTR(=, "sysName");
    4: ATTR(=, "sysLocation");
    5: ATTR(=, "ciscoEsNumSwitches");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_SourceHostname = $F1;
    rm_SpecificTrap = $V2;
    rm_sysName = $V3;
    rm_sysLocation = $V4;
    rm_EsNumSwitches = $V5;
    rm_Object = $F1;
    rm_Category = "Configuration";
    rm_ObjectType = "System";
    rm_Action = MODIFY;
    msg = PRINTF("Stack config for %s has changed at %s with %s switched.", $V3, $V4, $V5);
  END

CLASS CR_dot1dBridge_newRoot
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.2.1.17");
    2: $SPECIFIC = 1;
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_SourceHostname = $F1;
    rm_SpecificTrap = $V2;
    rm_Category = "Configuration";
    rm_Object = "root";
    rm_ObjectType = "Misc";
    rm_Action = MODIFY;
    msg = "The sending agent has become the new root of the Spanning Tree.";
  END

CLASS  CR_Cat2600TsDmnNewRoot
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.9.1.111.1.2.3");
    2: $SPECIFIC = 1;
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_SourceHostname = $F1;
    rm_SpecificTrap = $V2;
    rm_Category = "Configuration";
    rm_Object = "root";
    rm_ObjectType = "Misc";
    rm_Action = MODIFY;
    msg = "Catalyst 2600 Token Ring Switch Domain Name has a new root.";
  END

CLASS CR_EsVLANs_EsVLANNewRoot
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.9.5.14.8");
    2: $SPECIFIC = 1;
    3: ATTR(=, "ciscoEsVLANInfoVLANNumber");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_SourceHostname = $F1;
    rm_SpecificTrap = $V2;
    rm_LANNumber = $V3;
    rm_Category = "Configuration";
    rm_Object = "root";
    rm_ObjectType = "Misc";
    rm_Action = MODIFY;
    msg = PRINTF("The sending agent has become the new root of the Spanning Tree with VLan Number %s.",$V3);
  END

CLASS CR_dot1dBridge_topologyChange
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.2.1.17");
    2: $SPECIFIC = 2;
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_SourceHostname = $F1;
    rm_SpecificTrap = $V2;
    rm_Category = "Configuration";
    rm_Object = $F1;
    rm_ObjectType = "System";
    rm_Action = MODIFY;
    msg = "The topology of this bridge has changed.";
  END

CLASS CR_cat2600TsDmnTopologyChange
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.9.1.111.1.2.3");
    2: $SPECIFIC = 2;
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_SourceHostname = $F1;
    rm_SpecificTrap = $V2;
    rm_Category = "Configuration";
    rm_Object = $F1;
    rm_ObjectType = "System";
    rm_Action = MODIFY;
    msg = "The topology of the Catalyst 2600 Token Ring Switch Domain Name has changed.";
  END

CLASS CR_EsVLANs_EsVLANTopologyChange
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.9.5.14.8");
    2: $SPECIFIC = 2;
    3: ATTR(=, "ciscoEsVLANInfoVLANNumber");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_SourceHostname = $F1;
    rm_SpecificTrap = $V2;
    rm_LANNumber = $V3;
    rm_Category = "Configuration";
    rm_Object = $F1;
    rm_ObjectType = "System";
    rm_Action = MODIFY;
    msg = PRINTF("The topology of the bridge has changed with VLan number %s.", $V3);
  END

CLASS CR_FastHubMIBObject_ipAddressChange
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.9.2.11.1");
    2: $SPECIFIC = 3;
    3: ATTR(=, "sysName");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_SourceHostname = $F1;
    rm_SpecificTrap = $V2;
    rm_sysName = $V3;
    rm_Category = "Configuration";
    rm_Object = $V3;
    rm_ObjectType = "Address";
    rm_Action = MODIFY;
    msg = PRINTF("The ipAddress of this fast hub %s has changed.", $V3);
  END

CLASS CR_series2000_ipAddressChange
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.437.1.1.3");
    2: $SPECIFIC = 6;
    3: ATTR(=, "sysName");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_SourceHostname = $F1;
    rm_SpecificTrap = $V2;
    rm_sysName = $V3;
    rm_Category = "Configuration";
    rm_Object = $V3;
    rm_ObjectType = "Address";
    rm_Action = MODIFY;
    msg = PRINTF("The ipAddress of this series 2000 %s has changed.", $V3);
  END

CLASS CR_EsPort_EsPortStrNFwdEntry
  SELECT
    1: ATTR(=,$ENTERPRISE) , VALUE(PREFIX, "1.3.6.1.4.1.9.5.14.4");
    2: $SPECIFIC = 1;
    3: ATTR(=, "sysName");
    4: ATTR(=, "sysLocation");
    5: ATTR(=, "ciscoEsPortActiveMode");
  FETCH
    1: IPNAME($SOURCE_ADDR);
  MAP
    rm_SensorHostname = $F1;
    rm_SourceHostname = $F1;
    rm_SpecificTrap = $V2;
    rm_sysName = $V3;
    rm_sysLocation = $V4;
    rm_EsPortActiveMode = $V5;
    rm_Category = "State";
    rm_Object = $V3;
    rm_ObjectType = "System";
    rm_Action = MODIFY;
    msg = PRINTF("Cisco Switch %s at %s entered mode %s.", $V3, $V4, $V5);
  END
